Web Interfaces of PROSUME

requirements.php 1.4KB

1234567891011121314151617181920212223242526272829303132333435363738394041
  1. <?php
  2. /**
  3. * CakePHP(tm) : Rapid Development Framework (https://cakephp.org)
  4. * Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
  5. *
  6. * Licensed under The MIT License
  7. * For full copyright and license information, please see the LICENSE.txt
  8. * Redistributions of files must retain the above copyright notice.
  9. *
  10. * @copyright Copyright (c) Cake Software Foundation, Inc. (https://cakefoundation.org)
  11. * @link https://cakephp.org CakePHP(tm) Project
  12. * @since 3.5.0
  13. * @license https://opensource.org/licenses/mit-license.php MIT License
  14. */
  15. /*
  16. * You can empty out this file, if you are certain that you match all requirements.
  17. */
  18. /*
  19. * You can remove this if you are confident that your PHP version is sufficient.
  20. */
  21. if (version_compare(PHP_VERSION, '5.6.0') < 0) {
  22. trigger_error('Your PHP version must be equal or higher than 5.6.0 to use CakePHP.' . PHP_EOL, E_USER_ERROR);
  23. }
  24. /*
  25. * You can remove this if you are confident you have intl installed.
  26. */
  27. if (!extension_loaded('intl')) {
  28. trigger_error('You must enable the intl extension to use CakePHP.' . PHP_EOL, E_USER_ERROR);
  29. }
  30. /*
  31. * You can remove this if you are confident you have mbstring installed.
  32. */
  33. if (!extension_loaded('mbstring')) {
  34. trigger_error('You must enable the mbstring extension to use CakePHP.' . PHP_EOL, E_USER_ERROR);
  35. }
  36. setlocale (LC_ALL, "Italian");